package com.persagy.dmp.rwd.datautils.controller;

import com.persagy.common.web.MapResponse;
import com.persagy.dmp.rwd.datautils.service.TransService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @author: yaoll
 * @date: 2020-10-14
 * @verison: 1.0
 */
@RestController
@RequestMapping("/datautils")
public class TransController {

	@Autowired
	private TransService transService;

	@PostMapping("/import/data")
	public MapResponse importData(@RequestBody Map<String, String> params){
		return transService.importData(params);
	}

	@PostMapping("/import/info")
	public MapResponse importInfo(@RequestBody Map<String, String> params){
		return transService.importInfo(params);
	}

}
